Go to the latest version of this document.

# ``twisted`.`logger`.`_json``

module documentation
(source)

Tools for saving and loading log events in a structured format.

Function | `failureAsJSON` | Convert a failure to a JSON-serializable data structure.
Function | `failureFromJSON` | Load a `Failure` from a dictionary deserialized from JSON.
Function | `objectLoadHook` | Dictionary-to-object-translation hook for certain value types used within the logging system.
Function | `objectSaveHook` | Object-to-serializable hook for certain value types used within the logging system.
Type Alias | `JSONDict` | Undocumented
Variable | `classInfo` | Undocumented
Variable | `log` | Undocumented
Variable | `uuidToLoader` | Undocumented

def failureAsJSON(failure: `Failure`) -> `JSONDict`: (source)

Convert a failure to a JSON-serializable data structure.

Parameters
failure:`Failure` | A failure to serialize.

Returns
`JSONDict` | a mapping of strings to ... stuff, mostly reminiscent of `Failure.__getstate__`

def failureFromJSON(failureDict: `JSONDict`) -> `Failure`: (source)

Load a `Failure` from a dictionary deserialized from JSON.

Parameters
failureDict:`JSONDict` | a JSON-deserialized object like one previously returned by `failureAsJSON`.

Returns
`Failure` | `Failure`

def objectLoadHook(aDict: `JSONDict`) -> `object`: (source)

Dictionary-to-object-translation hook for certain value types used within the logging system.

Parameters
aDict:`JSONDict` | A dictionary loaded from a JSON object.

Returns
`object` | `aDict` itself, or the object represented by `aDict`

See Also
the `object_hook` parameter to `json.load`

def objectSaveHook(pythonObject: `object`) -> `JSONDict`: (source)

Object-to-serializable hook for certain value types used within the logging system.

Parameters
pythonObject:`object` | Any object.

Returns
`JSONDict` | If the object is one of the special types the logging system supports, a specially-formatted dictionary; otherwise, a marker dictionary indicating that it could not be serialized.

See Also
the `default` parameter to `json.dump`

JSONDict = (source)

Undocumented

Value

    dict[str, Any]

classInfo = (source)

Undocumented

log = (source)

Undocumented

uuidToLoader = (source)

Undocumented